Bug 170187

Summary: WebAssembly: fix misc JS API implementation inconsistencies
Product: WebKit Reporter: JF Bastien <jfbastien>
Component: JavaScriptCoreAssignee: JF Bastien <jfbastien>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, fpizlo, jfbastien, keith_miller, mark.lam, msaboff, sbarati
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 169187    
Bug Blocks: 161709    
Attachments:
Description Flags
patch
none
patch
none
patch
keith_miller: review+, keith_miller: commit-queue-
patch none

Description JF Bastien 2017-03-28 11:02:33 PDT
Saam pointed out that I was using a weird pattern for exception return in bug #166982 and I went on a inconsistency-busting tour.
Comment 1 JF Bastien 2017-03-28 11:07:34 PDT
Created attachment 305606 [details]
patch
Comment 2 Keith Miller 2017-03-28 11:11:51 PDT
It would be great if we could hold off on this for a few hours until https://bugs.webkit.org/show_bug.cgi?id=169187 lands.
Comment 3 JF Bastien 2017-03-28 11:14:45 PDT
(In reply to Keith Miller from comment #2)
> It would be great if we could hold off on this for a few hours until
> https://bugs.webkit.org/show_bug.cgi?id=169187 lands.

Sure thing! It's way easier for me to rebase, I'm just moving a few things.
Comment 4 JF Bastien 2017-03-28 12:43:06 PDT
Created attachment 305621 [details]
patch

Missing JSC inlines header.
Comment 5 JF Bastien 2017-03-29 21:33:23 PDT
Created attachment 305831 [details]
patch

Update after Keith's change.
Comment 6 Keith Miller 2017-03-29 21:39:03 PDT
Comment on attachment 305831 [details]
patch

r=me. Maybe it's worth making some tests though.
Comment 7 JF Bastien 2017-03-29 23:34:42 PDT
Created attachment 305838 [details]
patch

Add tests.
Comment 8 WebKit Commit Bot 2017-03-30 00:16:30 PDT
Comment on attachment 305838 [details]
patch

Clearing flags on attachment: 305838

Committed r214601: <http://trac.webkit.org/changeset/214601>
Comment 9 WebKit Commit Bot 2017-03-30 00:16:34 PDT
All reviewed patches have been landed.  Closing bug.